<?php
/*-------------------------------------------------------+
| PHP-Fusion 7
| Filename: infusion.php
| ap_articles Version: 2.0
| Author: Alipapa (http://ap-fusion.ru/)
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ap_articles/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ap_articles/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ap_articles/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ap_articles/locale/English.php";
}

// Infusion general information
$inf_title = $locale['apa_title'];
$inf_description = $locale['apa_desc'];
$inf_version = "2.2";
$inf_developer = "Alipapa";
$inf_email = "alipapa@pisem.net";
$inf_weburl = "http://ap-fusion.ru";

$inf_folder = "ap_articles"; // The folder in which the infusion resides.

// Delete any items not required below.

$inf_newtable[1] = DB_AP_ARTICLES." (
			article_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
			article_cat MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
			article_subject VARCHAR(200) NOT NULL DEFAULT '',
			article_url VARCHAR(200) NOT NULL DEFAULT '',
			article_title VARCHAR(200) NOT NULL DEFAULT '',
			article_title_add TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
			article_description VARCHAR(200) NOT NULL DEFAULT '',
			article_description_add TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
			article_keywords VARCHAR(200) NOT NULL DEFAULT '',
			article_keywords_add TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
			article_snippet TEXT NOT NULL,
			article_article TEXT NOT NULL,
			article_draft TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
			article_breaks CHAR(1) NOT NULL DEFAULT '',
			article_name MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '1',
			article_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
			article_reads MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
			article_allow_comments TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
			article_allow_ratings TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
			PRIMARY KEY (article_id),
			KEY article_datestamp (article_datestamp),
			KEY article_reads (article_reads)
			) ENGINE=MyISAM;";

$inf_newtable[2] = DB_AP_ARTICLE_CATS." (
			article_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
			article_cat_idc MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
			article_cat_name VARCHAR(100) NOT NULL DEFAULT '',
			article_cat_url VARCHAR(100) NOT NULL DEFAULT '',
			article_cat_description VARCHAR(200) NOT NULL DEFAULT '',
			article_cat_sorting VARCHAR(50) NOT NULL DEFAULT 'article_subject ASC',
			article_cat_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
			PRIMARY KEY (article_cat_id)
			) ENGINE=MyISAM;";

$inf_newtable[3] = DB_AP_SUBMISSIONS." (
			submit_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
			submit_type CHAR(1) NOT NULL,
			submit_user MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
			submit_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
			submit_criteria TEXT NOT NULL,
			PRIMARY KEY (submit_id)
			) ENGINE=MyISAM;";


//$inf_insertdbrow[1] = DB_INFUSION_TABLE." (field1, field2, field3, field4) VALUES('', '', '', '')";

$inf_droptable[1] = DB_AP_ARTICLES;
$inf_droptable[2] = DB_AP_ARTICLE_CATS;
$inf_droptable[3] = DB_AP_SUBMISSIONS;

//$inf_altertable[1] = DB_INFUSION_TABLE." ADD etc";

//$inf_deldbrow[1] = "other_table";

$inf_adminpanel[1] = array(
	"title" => $locale['apa_admin1'],
	"image" => "image.gif",
	"panel" => "ap_article_cats_admin.php",
	"rights" => "APAC"
);

$inf_adminpanel[2] = array(
	"title" => $locale['apa_admin2'],
	"image" => "image.gif",
	"panel" => "ap_articles_admin.php",
	"rights" => "APA"
);

$inf_adminpanel[3] = array(
	"title" => $locale['apa_admin3'],
	"image" => "image.gif",
	"panel" => "submissions.php",
	"rights" => "APAS"
);

$inf_sitelink[1] = array(
	"title" => $locale['apa_link1'],
	"url" => "submit.php?stype=a",
	"visibility" => "0"
);

$inf_sitelink[2] = array(
	"title" => $locale['apa_link2'],
	"url" => "ap_articles.php",
	"visibility" => "0"
);
?>